/* ========================================
 *
 * Copyright Oztronics, 2013
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF Oztronics.
 *
 * ========================================
*/
#include <project.h>
#include <device.h>

#define LED_ON 0u
#define LED_OFF 1u

int main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
    LCD_Char_Init();
	
	 /* Initialize LCD for Output */
    LCD_Char_Start();
	
    /* CyGlobalIntEnable; */ /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
        /* Place your application code here. */
		if(0u != SW_Read())
		{
			Pin_GrnLED_Write(LED_OFF);
		}
		else
		{	
			CyDelay(1000);
            LCD_Char_Position(0u, 0u);
            LCD_Char_PrintString("LED ON  ");
			Pin_GrnLED_Write(LED_ON);
			
			CyDelay(5000);
			
            LCD_Char_Position(1u, 0u);
            LCD_Char_PrintString("LED OFF ");
            Pin_GrnLED_Write(LED_OFF);
		}
    }
}

/* [] END OF FILE */
